#ifndef prot_mcu_h__
#define prot_mcu_h__


#include "signal.h"
#include "bytearray.h"
#include "list.h"
#include "board.h"

 

 
 
 
 
struct _protm_def;
typedef struct _protm_def protm_def;
 
 
 
 
 
 
 
protm_def *protm_creat(uart_def *uart,int *addrs,int num);


signal protm_recv_signal(void *obj,uint8_t src,uint8_t cmd,array_def *data,char *err_str);

void protm_send_call(protm_def *p,uint8_t addr,uint8_t cmd,list_def *comp_cmd/*int*/,array_def *data,int timeout_ms,int retry);

int protm_contains(protm_def *p,uint8_t addr);



#endif

